---
id: 68b9350183ff05bd106c79e4
title: Step 8
challengeType: 20
dashedName: step-8
---

# --description--

Now, test the `mark_as_read` method you created in the `Email` class. Use the method on the existing `Email` object `email_obj` to change the status. After marking the email as read, print the `read` attribute of `email_obj` to confirm the change.

# --hints--

You should call the `mark_as_read` method on the `email_obj` to mark the email as read.

```js
({
    test: () => 
    {
        assert(runPython(`_Node(_code).has_call("email_obj.mark_as_read()")`))
    }

})
```

You should print the `read` attribute of the `email_obj` after calling the `mark_as_read` method.

```js
({
    test: () => 
    {
        assert(runPython(`_Node(_code).is_ordered("email_obj.mark_as_read()", "print(email_obj.read)")`))
    }

})
```

# --seed--

## --seed-contents--

```py
class Email:
    def __init__(self, sender, receiver, subject, body):
        self.sender = sender
        self.receiver = receiver
        self.subject = subject
        self.body = body
        self.read = False

    def mark_as_read(self):
        self.read = True

email_obj = Email('alice@example.com', 'bob@example.com', 'Hello', 'Hi Bob!')
print(email_obj.sender)
print(email_obj.subject)
print(email_obj.read)
--fcc-editable-region--

--fcc-editable-region--
```
